オンライン中  

/v1/appsv2/

V2 appstore - list, create, configure, and purchase iframe-hosted apps. Distinct from /v1/apps/ (the legacy `\AT\ATApps` dev-platform model for externally-hosted developer apps with private keys). The `appsv2` namespace covers the v2 iframe app shell (\AT\ATAppsV2, /modules/v2/_app_host/), backed by the `ATAppsV2` table for user-created entries plus the static manifests in /config/atv2-apps.php for first-party shells.
GET

/v1/appsv2/get_about_post_candidates

#
Finds public community posts that can be selected as an app's About my app post. Eligibility mirrors the profile/About Me selector.

パラメーター

名前型必須既定値説明
searchFilter string いいえ "" Search text for public top-level posts with image media by title, body, or author alias.
postID int いいえ 0 Exact ATDiscussionPosts.ID to preview.
pageSize int いいえ 8 Maximum candidates to return for text search.
ownPostsOnly bool いいえ false When true, only return public image-media posts authored by the current API user.
リクエスト例(cURL)
curl --get \
  'https://jp.appointmenttrader.com/v1/appsv2/get_about_post_candidates' \
  --data-urlencode 'key={{API_KEY}}' \
  --data-urlencode 'searchFilter={{searchFilter}}' \
  --data-urlencode 'postID={{postID}}' \
  --data-urlencode 'pageSize={{pageSize}}' \
  --data-urlencode 'ownPostsOnly={{ownPostsOnly}}'

戻り値

JSON
See the shared response schema and synthetic example.
レスポンスフィールド
フィールド型必須説明
$appsv2_get_about_post_candidates_Response はい
$.oneOf[0] はい
$.oneOf[0].allOf[0]object はい
$.oneOf[0].allOf[0].RequestUserAliasstring はい
$.oneOf[0].allOf[0].RequestPathstring | null はい
$.oneOf[0].allOf[0].RequestStatus = "Succeeded" はい
$.oneOf[0].allOf[0].ResponseCodeinteger はい
$.oneOf[0].allOf[0].ResponseMessageAPIResponseMessage はい
$.oneOf[0].allOf[0].ResponseMessage.oneOf[0]string | number | boolean | null はい
$.oneOf[0].allOf[0].ResponseMessage.oneOf[1]array はい
$.oneOf[0].allOf[0].ResponseMessage.oneOf[1][]APIResponseMessage いいえ
$.oneOf[0].allOf[0].ResponseMessage.oneOf[2]object はい
$.oneOf[0].allOf[0].ResponseMessage.oneOf[2].*APIResponseMessage いいえ
$.oneOf[0].allOf[0].RequestImpersonatedByUserAliasstring いいえ
$.oneOf[0].allOf[1]object はい
$.oneOf[0].allOf[1].Payloadobject はい
$.oneOf[0].allOf[1].Payload.Candidatesarray はい
$.oneOf[0].allOf[1].Payload.Candidates[]object いいえ
$.oneOf[0].allOf[1].Payload.Candidates[].idinteger はい
$.oneOf[0].allOf[1].Payload.Candidates[].titlestring はい
$.oneOf[0].allOf[1].Payload.Candidates[].bodyPreviewstring はい
$.oneOf[0].allOf[1].Payload.Candidates[].urlstring はい
$.oneOf[0].allOf[1].Payload.Candidates[].createdDatestring はい
$.oneOf[0].allOf[1].Payload.Candidates[].authorAboutPostAuthor はい
$.oneOf[0].allOf[1].Payload.Candidates[].author.anyOf[0]object はい
$.oneOf[0].allOf[1].Payload.Candidates[].author.anyOf[0].idinteger はい
$.oneOf[0].allOf[1].Payload.Candidates[].author.anyOf[0].aliasstring はい
$.oneOf[0].allOf[1].Payload.Candidates[].author.anyOf[0].avatarEmojistring はい
$.oneOf[0].allOf[1].Payload.Candidates[].author.anyOf[0].profileUrlstring はい
$.oneOf[0].allOf[1].Payload.Candidates[].author.anyOf[1]object はい
$.oneOf[0].allOf[1].Payload.Candidates[].author.anyOf[1].idnull はい
$.oneOf[0].allOf[1].Payload.Candidates[].author.anyOf[1].aliasnull はい
$.oneOf[0].allOf[1].Payload.Candidates[].author.anyOf[1].avatarEmojinull はい
$.oneOf[0].allOf[1].Payload.Candidates[].author.anyOf[1].profileUrlnull はい
$.oneOf[0].allOf[1].Payload.Candidates[].author.anyOf[1].identityHidden = true はい
$.oneOf[0].allOf[1].Payload.Candidates[].author.anyOf[1].identityHiddenUntilinteger はい
$.oneOf[0].allOf[1].Payload.Candidates[].boardobject はい
$.oneOf[0].allOf[1].Payload.Candidates[].board.idinteger はい
$.oneOf[0].allOf[1].Payload.Candidates[].board.namestring はい
$.oneOf[0].allOf[1].Payload.Candidates[].board.slugstring はい
$.oneOf[0].allOf[1].Payload.Candidates[].board.typestring はい
$.oneOf[0].allOf[1].Payload.Candidates[].imageMediaCountinteger はい
$.oneOf[0].allOf[1].Payload.Candidates[].mediaarray はい
$.oneOf[0].allOf[1].Payload.Candidates[].media[]object いいえ
$.oneOf[0].allOf[1].Payload.Candidates[].media[].idinteger はい
$.oneOf[0].allOf[1].Payload.Candidates[].media[].thumbUrlstring はい
$.oneOf[0].allOf[1].Payload.Candidates[].media[].mediaUrlstring はい
$.oneOf[0].allOf[1].Payload.Candidates[].media[].mediaTypestring はい
$.oneOf[0].allOf[1].Payload.Candidates[].media[].widthinteger はい
$.oneOf[0].allOf[1].Payload.Candidates[].media[].heightinteger はい
$.oneOf[0].allOf[1].Payload.Candidates[].media[].titlestring はい
$.oneOf[0].allOf[1].Payload.Candidates[].media[].isImageboolean はい
$.oneOf[0].allOf[1].Payload.Candidates[].media[].isEmbeddedboolean はい
$.oneOf[0].allOf[1].Payload.Pageobject はい
$.oneOf[0].allOf[1].Payload.Page.pageSizeinteger はい
$.oneOf[0].allOf[1].Payload.Page.ownPostsOnlyinteger [0,1] はい
$.oneOf[0].allOf[1].Payload.Page.requiresImageMedia = 1 はい
$.oneOf[0].allOf[1].Payload.Page.minimumImageMediaCount = 2 はい
$.oneOf[1]object はい
$.oneOf[1].RequestUserAliasstring はい
$.oneOf[1].RequestPathstring | null はい
$.oneOf[1].RequestStatus = "Failed" はい
$.oneOf[1].ResponseCodeinteger はい
$.oneOf[1].ResponseMessageAPIResponseMessage はい
$.oneOf[1].ResponseMessage.oneOf[0]string | number | boolean | null はい
$.oneOf[1].ResponseMessage.oneOf[1]array はい
$.oneOf[1].ResponseMessage.oneOf[1][]APIResponseMessage いいえ
$.oneOf[1].ResponseMessage.oneOf[2]object はい
$.oneOf[1].ResponseMessage.oneOf[2].*APIResponseMessage いいえ
$.oneOf[1].RequestImpersonatedByUserAliasstring いいえ
レスポンス例
{
    "RequestStatus": "Succeeded",
    "ResponseCode": 100,
    "ResponseMessage": "Synthetic success example.",
    "RequestPath": "/v1/appsv2/get_about_post_candidates",
    "RequestUserAlias": "example-user",
    "Payload": {
        "Candidates": [],
        "Page": {
            "pageSize": 0,
            "ownPostsOnly": 0,
            "requiresImageMedia": 1,
            "minimumImageMediaCount": 2
        }
    }
}
機械可読のエンドポイントドキュメント
GET

/v1/appsv2/get_checkout_url

#
Returns an inline custom-article checkout URL for paid app access.

パラメーター

名前型必須既定値説明
appID int はい — ATAppsV2.ID of the paid app.
returnURL string いいえ "" Optional same-host URL to return to after checkout.
リクエスト例(cURL)
curl --get \
  'https://jp.appointmenttrader.com/v1/appsv2/get_checkout_url' \
  --data-urlencode 'key={{API_KEY}}' \
  --data-urlencode 'appID={{appID}}' \
  --data-urlencode 'returnURL={{returnURL}}'

戻り値

JSON
See the shared response schema and synthetic example.
レスポンスフィールド
フィールド型必須説明
$appsv2_get_checkout_url_Response はい
$.oneOf[0] はい
$.oneOf[0].allOf[0]object はい
$.oneOf[0].allOf[0].RequestUserAliasstring はい
$.oneOf[0].allOf[0].RequestPathstring | null はい
$.oneOf[0].allOf[0].RequestStatus = "Succeeded" はい
$.oneOf[0].allOf[0].ResponseCodeinteger はい
$.oneOf[0].allOf[0].ResponseMessageAPIResponseMessage はい
$.oneOf[0].allOf[0].ResponseMessage.oneOf[0]string | number | boolean | null はい
$.oneOf[0].allOf[0].ResponseMessage.oneOf[1]array はい
$.oneOf[0].allOf[0].ResponseMessage.oneOf[1][]APIResponseMessage いいえ
$.oneOf[0].allOf[0].ResponseMessage.oneOf[2]object はい
$.oneOf[0].allOf[0].ResponseMessage.oneOf[2].*APIResponseMessage いいえ
$.oneOf[0].allOf[0].RequestImpersonatedByUserAliasstring いいえ
$.oneOf[0].allOf[1]object はい
$.oneOf[0].allOf[1].Payloadobject はい
$.oneOf[0].allOf[1].Payload.checkoutUrlstring はい
$.oneOf[0].allOf[1].Payload.app はい
$.oneOf[0].allOf[1].Payload.app.anyOf[0]object はい
$.oneOf[0].allOf[1].Payload.app.anyOf[0].idstring はい
$.oneOf[0].allOf[1].Payload.app.anyOf[0].slugstring はい
$.oneOf[0].allOf[1].Payload.app.anyOf[0].namestring はい
$.oneOf[0].allOf[1].Payload.app.anyOf[0].descriptionstring はい
$.oneOf[0].allOf[1].Payload.app.anyOf[0].iconstring はい
$.oneOf[0].allOf[1].Payload.app.anyOf[0].entryUrlstring はい
$.oneOf[0].allOf[1].Payload.app.anyOf[0].defaultPathstring はい
$.oneOf[0].allOf[1].Payload.app.anyOf[0].contentWidthstring はい
$.oneOf[0].allOf[1].Payload.app.anyOf[0].dbIDinteger はい
$.oneOf[0].allOf[1].Payload.app.anyOf[0].ownerUserIDinteger はい
$.oneOf[0].allOf[1].Payload.app.anyOf[0].aboutPostIDinteger はい
$.oneOf[0].allOf[1].Payload.app.anyOf[0].priceAmountinteger はい
$.oneOf[0].allOf[1].Payload.app.anyOf[0].menuarray はい
$.oneOf[0].allOf[1].Payload.app.anyOf[0].isUserCreated = true はい
$.oneOf[0].allOf[1].Payload.app.anyOf[0].requiredLogin = true はい
$.oneOf[0].allOf[1].Payload.app.anyOf[0].pricingTypestring ["Free","MonthlyUSD","YearlyUSD","MonthlyTraderpoints","YearlyTraderpoints"] はい
$.oneOf[0].allOf[1].Payload.app.anyOf[0].pricingobject はい
$.oneOf[0].allOf[1].Payload.app.anyOf[0].pricing.typestring ["Free","MonthlyUSD","YearlyUSD","MonthlyTraderpoints","YearlyTraderpoints"] はい
$.oneOf[0].allOf[1].Payload.app.anyOf[0].pricing.isPaidinteger [0,1] はい
$.oneOf[0].allOf[1].Payload.app.anyOf[0].pricing.periodstring ["free","monthly","yearly"] はい
$.oneOf[0].allOf[1].Payload.app.anyOf[0].pricing.paymentModestring ["free","usd","traderpoints"] はい
$.oneOf[0].allOf[1].Payload.app.anyOf[0].pricing.amountCentsinteger はい
$.oneOf[0].allOf[1].Payload.app.anyOf[0].pricing.traderpointsAmountinteger はい
$.oneOf[0].allOf[1].Payload.app.anyOf[0].pricing.labelstring はい
$.oneOf[0].allOf[1].Payload.app.anyOf[0].accessobject いいえ
$.oneOf[0].allOf[1].Payload.app.anyOf[0].access.canAccessinteger [0,1] はい
$.oneOf[0].allOf[1].Payload.app.anyOf[0].access.isOwnerinteger [0,1] はい
$.oneOf[0].allOf[1].Payload.app.anyOf[0].access.isFreeinteger [0,1] はい
$.oneOf[0].allOf[1].Payload.app.anyOf[0].access.hasActiveAccessinteger [0,1] はい
$.oneOf[0].allOf[1].Payload.app.anyOf[0].access.accessEndDatestring はい
$.oneOf[0].allOf[1].Payload.app.anyOf[0].selectedForPostinteger [0,1] いいえ
$.oneOf[0].allOf[1].Payload.app.anyOf[1]array はい
$.oneOf[1]object はい
$.oneOf[1].RequestUserAliasstring はい
$.oneOf[1].RequestPathstring | null はい
$.oneOf[1].RequestStatus = "Failed" はい
$.oneOf[1].ResponseCodeinteger はい
$.oneOf[1].ResponseMessageAPIResponseMessage はい
$.oneOf[1].ResponseMessage.oneOf[0]string | number | boolean | null はい
$.oneOf[1].ResponseMessage.oneOf[1]array はい
$.oneOf[1].ResponseMessage.oneOf[1][]APIResponseMessage いいえ
$.oneOf[1].ResponseMessage.oneOf[2]object はい
$.oneOf[1].ResponseMessage.oneOf[2].*APIResponseMessage いいえ
$.oneOf[1].RequestImpersonatedByUserAliasstring いいえ
レスポンス例
{
    "RequestStatus": "Succeeded",
    "ResponseCode": 100,
    "ResponseMessage": "Synthetic success example.",
    "RequestPath": "/v1/appsv2/get_checkout_url",
    "RequestUserAlias": "example-user",
    "Payload": {
        "checkoutUrl": "synthetic-example",
        "app": {
            "id": "synthetic-example",
            "slug": "synthetic-example",
            "name": "synthetic-example",
            "description": "synthetic-example",
            "icon": "synthetic-example",
            "entryUrl": "synthetic-example",
            "defaultPath": "synthetic-example",
            "contentWidth": "synthetic-example",
            "dbID": 0,
            "ownerUserID": 0,
            "aboutPostID": 0,
            "priceAmount": 0,
            "menu": [],
            "isUserCreated": true,
            "requiredLogin": true,
            "pricingType": "Free",
            "pricing": {
                "type": "Free",
                "isPaid": 0,
                "period": "free",
                "paymentMode": "free",
                "amountCents": 0,
                "traderpointsAmount": 0,
                "label": "synthetic-example"
            }
        }
    }
}
機械可読のエンドポイントドキュメント
GET

/v1/appsv2/get_list

#
Returns the list of published user-created apps for the appstore. Public-by-design: the appstore is a public browse surface; paid apps only expose storefront metadata here, while app access is enforced by /modules/v2/_app_host/ and \AT\ATAppsV2::ViewerCanAccess().
リクエスト例(cURL)
curl --get \
  'https://jp.appointmenttrader.com/v1/appsv2/get_list' \
  --data-urlencode 'key={{API_KEY}}'

戻り値

JSON
See the shared response schema and synthetic example.
レスポンスフィールド
フィールド型必須説明
$appsv2_get_list_Response はい
$.oneOf[0] はい
$.oneOf[0].allOf[0]object はい
$.oneOf[0].allOf[0].RequestUserAliasstring はい
$.oneOf[0].allOf[0].RequestPathstring | null はい
$.oneOf[0].allOf[0].RequestStatus = "Succeeded" はい
$.oneOf[0].allOf[0].ResponseCodeinteger はい
$.oneOf[0].allOf[0].ResponseMessageAPIResponseMessage はい
$.oneOf[0].allOf[0].ResponseMessage.oneOf[0]string | number | boolean | null はい
$.oneOf[0].allOf[0].ResponseMessage.oneOf[1]array はい
$.oneOf[0].allOf[0].ResponseMessage.oneOf[1][]APIResponseMessage いいえ
$.oneOf[0].allOf[0].ResponseMessage.oneOf[2]object はい
$.oneOf[0].allOf[0].ResponseMessage.oneOf[2].*APIResponseMessage いいえ
$.oneOf[0].allOf[0].RequestImpersonatedByUserAliasstring いいえ
$.oneOf[0].allOf[1]object はい
$.oneOf[0].allOf[1].Payloadobject はい
$.oneOf[0].allOf[1].Payload.appsarray はい
$.oneOf[0].allOf[1].Payload.apps[]object いいえ
$.oneOf[0].allOf[1].Payload.apps[].idstring はい
$.oneOf[0].allOf[1].Payload.apps[].slugstring はい
$.oneOf[0].allOf[1].Payload.apps[].namestring はい
$.oneOf[0].allOf[1].Payload.apps[].descriptionstring はい
$.oneOf[0].allOf[1].Payload.apps[].iconstring はい
$.oneOf[0].allOf[1].Payload.apps[].entryUrlstring はい
$.oneOf[0].allOf[1].Payload.apps[].defaultPathstring はい
$.oneOf[0].allOf[1].Payload.apps[].contentWidthstring はい
$.oneOf[0].allOf[1].Payload.apps[].dbIDinteger はい
$.oneOf[0].allOf[1].Payload.apps[].ownerUserIDinteger はい
$.oneOf[0].allOf[1].Payload.apps[].aboutPostIDinteger はい
$.oneOf[0].allOf[1].Payload.apps[].priceAmountinteger はい
$.oneOf[0].allOf[1].Payload.apps[].menuarray はい
$.oneOf[0].allOf[1].Payload.apps[].isUserCreated = true はい
$.oneOf[0].allOf[1].Payload.apps[].requiredLogin = true はい
$.oneOf[0].allOf[1].Payload.apps[].pricingTypestring ["Free","MonthlyUSD","YearlyUSD","MonthlyTraderpoints","YearlyTraderpoints"] はい
$.oneOf[0].allOf[1].Payload.apps[].pricingobject はい
$.oneOf[0].allOf[1].Payload.apps[].pricing.typestring ["Free","MonthlyUSD","YearlyUSD","MonthlyTraderpoints","YearlyTraderpoints"] はい
$.oneOf[0].allOf[1].Payload.apps[].pricing.isPaidinteger [0,1] はい
$.oneOf[0].allOf[1].Payload.apps[].pricing.periodstring ["free","monthly","yearly"] はい
$.oneOf[0].allOf[1].Payload.apps[].pricing.paymentModestring ["free","usd","traderpoints"] はい
$.oneOf[0].allOf[1].Payload.apps[].pricing.amountCentsinteger はい
$.oneOf[0].allOf[1].Payload.apps[].pricing.traderpointsAmountinteger はい
$.oneOf[0].allOf[1].Payload.apps[].pricing.labelstring はい
$.oneOf[0].allOf[1].Payload.apps[].accessobject いいえ
$.oneOf[0].allOf[1].Payload.apps[].access.canAccessinteger [0,1] はい
$.oneOf[0].allOf[1].Payload.apps[].access.isOwnerinteger [0,1] はい
$.oneOf[0].allOf[1].Payload.apps[].access.isFreeinteger [0,1] はい
$.oneOf[0].allOf[1].Payload.apps[].access.hasActiveAccessinteger [0,1] はい
$.oneOf[0].allOf[1].Payload.apps[].access.accessEndDatestring はい
$.oneOf[0].allOf[1].Payload.apps[].selectedForPostinteger [0,1] いいえ
$.oneOf[1]object はい
$.oneOf[1].RequestUserAliasstring はい
$.oneOf[1].RequestPathstring | null はい
$.oneOf[1].RequestStatus = "Failed" はい
$.oneOf[1].ResponseCodeinteger はい
$.oneOf[1].ResponseMessageAPIResponseMessage はい
$.oneOf[1].ResponseMessage.oneOf[0]string | number | boolean | null はい
$.oneOf[1].ResponseMessage.oneOf[1]array はい
$.oneOf[1].ResponseMessage.oneOf[1][]APIResponseMessage いいえ
$.oneOf[1].ResponseMessage.oneOf[2]object はい
$.oneOf[1].ResponseMessage.oneOf[2].*APIResponseMessage いいえ
$.oneOf[1].RequestImpersonatedByUserAliasstring いいえ
レスポンス例
{
    "RequestStatus": "Succeeded",
    "ResponseCode": 100,
    "ResponseMessage": "Synthetic success example.",
    "RequestPath": "/v1/appsv2/get_list",
    "RequestUserAlias": "example-user",
    "Payload": {
        "apps": []
    }
}
機械可読のエンドポイントドキュメント
GET

/v1/appsv2/get_my_apps

#
Returns apps owned by the current viewer for the App Store setup UI.

パラメーター

名前型必須既定値説明
aboutPostID int いいえ 0 Optional post ID used by the newsfeed action to mark which owned apps already use that post.
リクエスト例(cURL)
curl --get \
  'https://jp.appointmenttrader.com/v1/appsv2/get_my_apps' \
  --data-urlencode 'key={{API_KEY}}' \
  --data-urlencode 'aboutPostID={{aboutPostID}}'

戻り値

JSON
See the shared response schema and synthetic example.
レスポンスフィールド
フィールド型必須説明
$appsv2_get_my_apps_Response はい
$.oneOf[0] はい
$.oneOf[0].allOf[0]object はい
$.oneOf[0].allOf[0].RequestUserAliasstring はい
$.oneOf[0].allOf[0].RequestPathstring | null はい
$.oneOf[0].allOf[0].RequestStatus = "Succeeded" はい
$.oneOf[0].allOf[0].ResponseCodeinteger はい
$.oneOf[0].allOf[0].ResponseMessageAPIResponseMessage はい
$.oneOf[0].allOf[0].ResponseMessage.oneOf[0]string | number | boolean | null はい
$.oneOf[0].allOf[0].ResponseMessage.oneOf[1]array はい
$.oneOf[0].allOf[0].ResponseMessage.oneOf[1][]APIResponseMessage いいえ
$.oneOf[0].allOf[0].ResponseMessage.oneOf[2]object はい
$.oneOf[0].allOf[0].ResponseMessage.oneOf[2].*APIResponseMessage いいえ
$.oneOf[0].allOf[0].RequestImpersonatedByUserAliasstring いいえ
$.oneOf[0].allOf[1]object はい
$.oneOf[0].allOf[1].Payloadobject はい
$.oneOf[0].allOf[1].Payload.appsarray はい
$.oneOf[0].allOf[1].Payload.apps[] いいえ
$.oneOf[0].allOf[1].Payload.apps[].anyOf[0]object いいえ
$.oneOf[0].allOf[1].Payload.apps[].anyOf[0].idstring はい
$.oneOf[0].allOf[1].Payload.apps[].anyOf[0].slugstring はい
$.oneOf[0].allOf[1].Payload.apps[].anyOf[0].namestring はい
$.oneOf[0].allOf[1].Payload.apps[].anyOf[0].descriptionstring はい
$.oneOf[0].allOf[1].Payload.apps[].anyOf[0].iconstring はい
$.oneOf[0].allOf[1].Payload.apps[].anyOf[0].entryUrlstring はい
$.oneOf[0].allOf[1].Payload.apps[].anyOf[0].defaultPathstring はい
$.oneOf[0].allOf[1].Payload.apps[].anyOf[0].contentWidthstring はい
$.oneOf[0].allOf[1].Payload.apps[].anyOf[0].dbIDinteger はい
$.oneOf[0].allOf[1].Payload.apps[].anyOf[0].ownerUserIDinteger はい
$.oneOf[0].allOf[1].Payload.apps[].anyOf[0].aboutPostIDinteger はい
$.oneOf[0].allOf[1].Payload.apps[].anyOf[0].priceAmountinteger はい
$.oneOf[0].allOf[1].Payload.apps[].anyOf[0].menuarray はい
$.oneOf[0].allOf[1].Payload.apps[].anyOf[0].isUserCreated = true はい
$.oneOf[0].allOf[1].Payload.apps[].anyOf[0].requiredLogin = true はい
$.oneOf[0].allOf[1].Payload.apps[].anyOf[0].pricingTypestring ["Free","MonthlyUSD","YearlyUSD","MonthlyTraderpoints","YearlyTraderpoints"] はい
$.oneOf[0].allOf[1].Payload.apps[].anyOf[0].pricingobject はい
$.oneOf[0].allOf[1].Payload.apps[].anyOf[0].pricing.typestring ["Free","MonthlyUSD","YearlyUSD","MonthlyTraderpoints","YearlyTraderpoints"] はい
$.oneOf[0].allOf[1].Payload.apps[].anyOf[0].pricing.isPaidinteger [0,1] はい
$.oneOf[0].allOf[1].Payload.apps[].anyOf[0].pricing.periodstring ["free","monthly","yearly"] はい
$.oneOf[0].allOf[1].Payload.apps[].anyOf[0].pricing.paymentModestring ["free","usd","traderpoints"] はい
$.oneOf[0].allOf[1].Payload.apps[].anyOf[0].pricing.amountCentsinteger はい
$.oneOf[0].allOf[1].Payload.apps[].anyOf[0].pricing.traderpointsAmountinteger はい
$.oneOf[0].allOf[1].Payload.apps[].anyOf[0].pricing.labelstring はい
$.oneOf[0].allOf[1].Payload.apps[].anyOf[0].accessobject いいえ
$.oneOf[0].allOf[1].Payload.apps[].anyOf[0].access.canAccessinteger [0,1] はい
$.oneOf[0].allOf[1].Payload.apps[].anyOf[0].access.isOwnerinteger [0,1] はい
$.oneOf[0].allOf[1].Payload.apps[].anyOf[0].access.isFreeinteger [0,1] はい
$.oneOf[0].allOf[1].Payload.apps[].anyOf[0].access.hasActiveAccessinteger [0,1] はい
$.oneOf[0].allOf[1].Payload.apps[].anyOf[0].access.accessEndDatestring はい
$.oneOf[0].allOf[1].Payload.apps[].anyOf[0].selectedForPostinteger [0,1] いいえ
$.oneOf[0].allOf[1].Payload.apps[].anyOf[1]array いいえ
$.oneOf[1]object はい
$.oneOf[1].RequestUserAliasstring はい
$.oneOf[1].RequestPathstring | null はい
$.oneOf[1].RequestStatus = "Failed" はい
$.oneOf[1].ResponseCodeinteger はい
$.oneOf[1].ResponseMessageAPIResponseMessage はい
$.oneOf[1].ResponseMessage.oneOf[0]string | number | boolean | null はい
$.oneOf[1].ResponseMessage.oneOf[1]array はい
$.oneOf[1].ResponseMessage.oneOf[1][]APIResponseMessage いいえ
$.oneOf[1].ResponseMessage.oneOf[2]object はい
$.oneOf[1].ResponseMessage.oneOf[2].*APIResponseMessage いいえ
$.oneOf[1].RequestImpersonatedByUserAliasstring いいえ
レスポンス例
{
    "RequestStatus": "Succeeded",
    "ResponseCode": 100,
    "ResponseMessage": "Synthetic success example.",
    "RequestPath": "/v1/appsv2/get_my_apps",
    "RequestUserAlias": "example-user",
    "Payload": {
        "apps": []
    }
}
機械可読のエンドポイントドキュメント
POST

/v1/appsv2/set_about_post

#
Sets or clears an app's About my app post.

パラメーター

名前型必須既定値説明
appID int はい — ATAppsV2.ID of an app owned by the current user.
postID int いいえ 0 Public ATDiscussionPosts.ID with at least two attached images. Pass 0 to clear.
isWritingRequest bool いいえ false Set true to actually persist the app.
リクエスト例(cURL)
curl --request POST \
  'https://jp.appointmenttrader.com/v1/appsv2/set_about_post' \
  --data-urlencode 'key={{API_KEY}}' \
  --data-urlencode 'appID={{appID}}' \
  --data-urlencode 'postID={{postID}}' \
  --data-urlencode 'isWritingRequest={{isWritingRequest}}'

戻り値

JSON
See the shared response schema and synthetic example.
レスポンスフィールド
フィールド型必須説明
$appsv2_set_about_post_Response はい
$.oneOf[0] はい
$.oneOf[0].allOf[0]object はい
$.oneOf[0].allOf[0].RequestUserAliasstring はい
$.oneOf[0].allOf[0].RequestPathstring | null はい
$.oneOf[0].allOf[0].RequestStatus = "Succeeded" はい
$.oneOf[0].allOf[0].ResponseCodeinteger はい
$.oneOf[0].allOf[0].ResponseMessageAPIResponseMessage はい
$.oneOf[0].allOf[0].ResponseMessage.oneOf[0]string | number | boolean | null はい
$.oneOf[0].allOf[0].ResponseMessage.oneOf[1]array はい
$.oneOf[0].allOf[0].ResponseMessage.oneOf[1][]APIResponseMessage いいえ
$.oneOf[0].allOf[0].ResponseMessage.oneOf[2]object はい
$.oneOf[0].allOf[0].ResponseMessage.oneOf[2].*APIResponseMessage いいえ
$.oneOf[0].allOf[0].RequestImpersonatedByUserAliasstring いいえ
$.oneOf[0].allOf[1]object はい
$.oneOf[0].allOf[1].Payloadobject はい
$.oneOf[0].allOf[1].Payload.app はい
$.oneOf[0].allOf[1].Payload.app.anyOf[0]object はい
$.oneOf[0].allOf[1].Payload.app.anyOf[0].idstring はい
$.oneOf[0].allOf[1].Payload.app.anyOf[0].slugstring はい
$.oneOf[0].allOf[1].Payload.app.anyOf[0].namestring はい
$.oneOf[0].allOf[1].Payload.app.anyOf[0].descriptionstring はい
$.oneOf[0].allOf[1].Payload.app.anyOf[0].iconstring はい
$.oneOf[0].allOf[1].Payload.app.anyOf[0].entryUrlstring はい
$.oneOf[0].allOf[1].Payload.app.anyOf[0].defaultPathstring はい
$.oneOf[0].allOf[1].Payload.app.anyOf[0].contentWidthstring はい
$.oneOf[0].allOf[1].Payload.app.anyOf[0].dbIDinteger はい
$.oneOf[0].allOf[1].Payload.app.anyOf[0].ownerUserIDinteger はい
$.oneOf[0].allOf[1].Payload.app.anyOf[0].aboutPostIDinteger はい
$.oneOf[0].allOf[1].Payload.app.anyOf[0].priceAmountinteger はい
$.oneOf[0].allOf[1].Payload.app.anyOf[0].menuarray はい
$.oneOf[0].allOf[1].Payload.app.anyOf[0].isUserCreated = true はい
$.oneOf[0].allOf[1].Payload.app.anyOf[0].requiredLogin = true はい
$.oneOf[0].allOf[1].Payload.app.anyOf[0].pricingTypestring ["Free","MonthlyUSD","YearlyUSD","MonthlyTraderpoints","YearlyTraderpoints"] はい
$.oneOf[0].allOf[1].Payload.app.anyOf[0].pricingobject はい
$.oneOf[0].allOf[1].Payload.app.anyOf[0].pricing.typestring ["Free","MonthlyUSD","YearlyUSD","MonthlyTraderpoints","YearlyTraderpoints"] はい
$.oneOf[0].allOf[1].Payload.app.anyOf[0].pricing.isPaidinteger [0,1] はい
$.oneOf[0].allOf[1].Payload.app.anyOf[0].pricing.periodstring ["free","monthly","yearly"] はい
$.oneOf[0].allOf[1].Payload.app.anyOf[0].pricing.paymentModestring ["free","usd","traderpoints"] はい
$.oneOf[0].allOf[1].Payload.app.anyOf[0].pricing.amountCentsinteger はい
$.oneOf[0].allOf[1].Payload.app.anyOf[0].pricing.traderpointsAmountinteger はい
$.oneOf[0].allOf[1].Payload.app.anyOf[0].pricing.labelstring はい
$.oneOf[0].allOf[1].Payload.app.anyOf[0].accessobject いいえ
$.oneOf[0].allOf[1].Payload.app.anyOf[0].access.canAccessinteger [0,1] はい
$.oneOf[0].allOf[1].Payload.app.anyOf[0].access.isOwnerinteger [0,1] はい
$.oneOf[0].allOf[1].Payload.app.anyOf[0].access.isFreeinteger [0,1] はい
$.oneOf[0].allOf[1].Payload.app.anyOf[0].access.hasActiveAccessinteger [0,1] はい
$.oneOf[0].allOf[1].Payload.app.anyOf[0].access.accessEndDatestring はい
$.oneOf[0].allOf[1].Payload.app.anyOf[0].selectedForPostinteger [0,1] いいえ
$.oneOf[0].allOf[1].Payload.app.anyOf[1]array はい
$.oneOf[0].allOf[1].Payload.postIDinteger はい
$.oneOf[1]object はい
$.oneOf[1].RequestUserAliasstring はい
$.oneOf[1].RequestPathstring | null はい
$.oneOf[1].RequestStatus = "Failed" はい
$.oneOf[1].ResponseCodeinteger はい
$.oneOf[1].ResponseMessageAPIResponseMessage はい
$.oneOf[1].ResponseMessage.oneOf[0]string | number | boolean | null はい
$.oneOf[1].ResponseMessage.oneOf[1]array はい
$.oneOf[1].ResponseMessage.oneOf[1][]APIResponseMessage いいえ
$.oneOf[1].ResponseMessage.oneOf[2]object はい
$.oneOf[1].ResponseMessage.oneOf[2].*APIResponseMessage いいえ
$.oneOf[1].RequestImpersonatedByUserAliasstring いいえ
レスポンス例
{
    "RequestStatus": "Succeeded",
    "ResponseCode": 100,
    "ResponseMessage": "Synthetic success example.",
    "RequestPath": "/v1/appsv2/set_about_post",
    "RequestUserAlias": "example-user",
    "Payload": {
        "app": {
            "id": "synthetic-example",
            "slug": "synthetic-example",
            "name": "synthetic-example",
            "description": "synthetic-example",
            "icon": "synthetic-example",
            "entryUrl": "synthetic-example",
            "defaultPath": "synthetic-example",
            "contentWidth": "synthetic-example",
            "dbID": 0,
            "ownerUserID": 0,
            "aboutPostID": 0,
            "priceAmount": 0,
            "menu": [],
            "isUserCreated": true,
            "requiredLogin": true,
            "pricingType": "Free",
            "pricing": {
                "type": "Free",
                "isPaid": 0,
                "period": "free",
                "paymentMode": "free",
                "amountCents": 0,
                "traderpointsAmount": 0,
                "label": "synthetic-example"
            }
        },
        "postID": 0
    }
}
機械可読のエンドポイントドキュメント
POST

/v1/appsv2/set_create

#
Create a new user-published app row in the v2 appstore.

パラメーター

名前型必須既定値説明
name string はい — Display name shown in the appstore card and the host shell.
slug string はい — Lowercase URL slug ([a-z0-9-]+, 2-64 chars).
entry_url string はい — Absolute http(s) URL or root-relative path loaded into the sandboxed iframe.
description string いいえ "" Optional short description shown on the appstore card.
icon string いいえ "" Optional sprite reference (e.g. "i-trending-bars"). Empty string allowed.
pricingType string いいえ "Free" One of Free, MonthlyUSD, YearlyUSD, MonthlyTraderpoints, YearlyTraderpoints.
priceAmount int いいえ 0 Price in USD cents for paid monthly/yearly access.
aboutPostID int いいえ 0 Optional public post ID with at least two images to use as the About my app post.
isWritingRequest bool いいえ false Set true to actually persist the app.
リクエスト例(cURL)
curl --request POST \
  'https://jp.appointmenttrader.com/v1/appsv2/set_create' \
  --data-urlencode 'key={{API_KEY}}' \
  --data-urlencode 'name={{name}}' \
  --data-urlencode 'slug={{slug}}' \
  --data-urlencode 'entry_url={{entry_url}}' \
  --data-urlencode 'description={{description}}' \
  --data-urlencode 'icon={{icon}}' \
  --data-urlencode 'pricingType={{pricingType}}' \
  --data-urlencode 'priceAmount={{priceAmount}}' \
  --data-urlencode 'aboutPostID={{aboutPostID}}' \
  --data-urlencode 'isWritingRequest={{isWritingRequest}}'

戻り値

JSON
See the shared response schema and synthetic example.
レスポンスフィールド
フィールド型必須説明
$appsv2_set_create_Response はい
$.oneOf[0] はい
$.oneOf[0].allOf[0]object はい
$.oneOf[0].allOf[0].RequestUserAliasstring はい
$.oneOf[0].allOf[0].RequestPathstring | null はい
$.oneOf[0].allOf[0].RequestStatus = "Succeeded" はい
$.oneOf[0].allOf[0].ResponseCodeinteger はい
$.oneOf[0].allOf[0].ResponseMessageAPIResponseMessage はい
$.oneOf[0].allOf[0].ResponseMessage.oneOf[0]string | number | boolean | null はい
$.oneOf[0].allOf[0].ResponseMessage.oneOf[1]array はい
$.oneOf[0].allOf[0].ResponseMessage.oneOf[1][]APIResponseMessage いいえ
$.oneOf[0].allOf[0].ResponseMessage.oneOf[2]object はい
$.oneOf[0].allOf[0].ResponseMessage.oneOf[2].*APIResponseMessage いいえ
$.oneOf[0].allOf[0].RequestImpersonatedByUserAliasstring いいえ
$.oneOf[0].allOf[1]object はい
$.oneOf[0].allOf[1].Payloadobject はい
$.oneOf[0].allOf[1].Payload.idinteger はい
$.oneOf[0].allOf[1].Payload.slugstring はい
$.oneOf[0].allOf[1].Payload.app はい
$.oneOf[0].allOf[1].Payload.app.anyOf[0]object はい
$.oneOf[0].allOf[1].Payload.app.anyOf[0].idstring はい
$.oneOf[0].allOf[1].Payload.app.anyOf[0].slugstring はい
$.oneOf[0].allOf[1].Payload.app.anyOf[0].namestring はい
$.oneOf[0].allOf[1].Payload.app.anyOf[0].descriptionstring はい
$.oneOf[0].allOf[1].Payload.app.anyOf[0].iconstring はい
$.oneOf[0].allOf[1].Payload.app.anyOf[0].entryUrlstring はい
$.oneOf[0].allOf[1].Payload.app.anyOf[0].defaultPathstring はい
$.oneOf[0].allOf[1].Payload.app.anyOf[0].contentWidthstring はい
$.oneOf[0].allOf[1].Payload.app.anyOf[0].dbIDinteger はい
$.oneOf[0].allOf[1].Payload.app.anyOf[0].ownerUserIDinteger はい
$.oneOf[0].allOf[1].Payload.app.anyOf[0].aboutPostIDinteger はい
$.oneOf[0].allOf[1].Payload.app.anyOf[0].priceAmountinteger はい
$.oneOf[0].allOf[1].Payload.app.anyOf[0].menuarray はい
$.oneOf[0].allOf[1].Payload.app.anyOf[0].isUserCreated = true はい
$.oneOf[0].allOf[1].Payload.app.anyOf[0].requiredLogin = true はい
$.oneOf[0].allOf[1].Payload.app.anyOf[0].pricingTypestring ["Free","MonthlyUSD","YearlyUSD","MonthlyTraderpoints","YearlyTraderpoints"] はい
$.oneOf[0].allOf[1].Payload.app.anyOf[0].pricingobject はい
$.oneOf[0].allOf[1].Payload.app.anyOf[0].pricing.typestring ["Free","MonthlyUSD","YearlyUSD","MonthlyTraderpoints","YearlyTraderpoints"] はい
$.oneOf[0].allOf[1].Payload.app.anyOf[0].pricing.isPaidinteger [0,1] はい
$.oneOf[0].allOf[1].Payload.app.anyOf[0].pricing.periodstring ["free","monthly","yearly"] はい
$.oneOf[0].allOf[1].Payload.app.anyOf[0].pricing.paymentModestring ["free","usd","traderpoints"] はい
$.oneOf[0].allOf[1].Payload.app.anyOf[0].pricing.amountCentsinteger はい
$.oneOf[0].allOf[1].Payload.app.anyOf[0].pricing.traderpointsAmountinteger はい
$.oneOf[0].allOf[1].Payload.app.anyOf[0].pricing.labelstring はい
$.oneOf[0].allOf[1].Payload.app.anyOf[0].accessobject いいえ
$.oneOf[0].allOf[1].Payload.app.anyOf[0].access.canAccessinteger [0,1] はい
$.oneOf[0].allOf[1].Payload.app.anyOf[0].access.isOwnerinteger [0,1] はい
$.oneOf[0].allOf[1].Payload.app.anyOf[0].access.isFreeinteger [0,1] はい
$.oneOf[0].allOf[1].Payload.app.anyOf[0].access.hasActiveAccessinteger [0,1] はい
$.oneOf[0].allOf[1].Payload.app.anyOf[0].access.accessEndDatestring はい
$.oneOf[0].allOf[1].Payload.app.anyOf[0].selectedForPostinteger [0,1] いいえ
$.oneOf[0].allOf[1].Payload.app.anyOf[1]array はい
$.oneOf[1]object はい
$.oneOf[1].RequestUserAliasstring はい
$.oneOf[1].RequestPathstring | null はい
$.oneOf[1].RequestStatus = "Failed" はい
$.oneOf[1].ResponseCodeinteger はい
$.oneOf[1].ResponseMessageAPIResponseMessage はい
$.oneOf[1].ResponseMessage.oneOf[0]string | number | boolean | null はい
$.oneOf[1].ResponseMessage.oneOf[1]array はい
$.oneOf[1].ResponseMessage.oneOf[1][]APIResponseMessage いいえ
$.oneOf[1].ResponseMessage.oneOf[2]object はい
$.oneOf[1].ResponseMessage.oneOf[2].*APIResponseMessage いいえ
$.oneOf[1].RequestImpersonatedByUserAliasstring いいえ
レスポンス例
{
    "RequestStatus": "Succeeded",
    "ResponseCode": 100,
    "ResponseMessage": "Synthetic success example.",
    "RequestPath": "/v1/appsv2/set_create",
    "RequestUserAlias": "example-user",
    "Payload": {
        "id": 0,
        "slug": "synthetic-example",
        "app": {
            "id": "synthetic-example",
            "slug": "synthetic-example",
            "name": "synthetic-example",
            "description": "synthetic-example",
            "icon": "synthetic-example",
            "entryUrl": "synthetic-example",
            "defaultPath": "synthetic-example",
            "contentWidth": "synthetic-example",
            "dbID": 0,
            "ownerUserID": 0,
            "aboutPostID": 0,
            "priceAmount": 0,
            "menu": [],
            "isUserCreated": true,
            "requiredLogin": true,
            "pricingType": "Free",
            "pricing": {
                "type": "Free",
                "isPaid": 0,
                "period": "free",
                "paymentMode": "free",
                "amountCents": 0,
                "traderpointsAmount": 0,
                "label": "synthetic-example"
            }
        }
    }
}
機械可読のエンドポイントドキュメント
POST

/v1/appsv2/set_update

#
Update a user-owned v2 app's storefront setup.

パラメーター

名前型必須既定値説明
appID int はい — ATAppsV2.ID of an app owned by the current user.
name string はい — Display name shown in the appstore card and the host shell.
entry_url string はい — Absolute http(s) URL or root-relative path loaded into the sandboxed iframe.
description string いいえ "" Optional short description shown on the appstore card.
icon string いいえ "" Optional sprite reference (e.g. "i-trending-bars"). Empty string allowed.
pricingType string いいえ "Free" One of Free, MonthlyUSD, YearlyUSD, MonthlyTraderpoints, YearlyTraderpoints.
priceAmount int いいえ 0 Price in USD cents for paid monthly/yearly access.
aboutPostID int いいえ 0 Optional public post ID with at least two images to use as the About my app post.
isWritingRequest bool いいえ false Set true to actually persist the app.
リクエスト例(cURL)
curl --request POST \
  'https://jp.appointmenttrader.com/v1/appsv2/set_update' \
  --data-urlencode 'key={{API_KEY}}' \
  --data-urlencode 'appID={{appID}}' \
  --data-urlencode 'name={{name}}' \
  --data-urlencode 'entry_url={{entry_url}}' \
  --data-urlencode 'description={{description}}' \
  --data-urlencode 'icon={{icon}}' \
  --data-urlencode 'pricingType={{pricingType}}' \
  --data-urlencode 'priceAmount={{priceAmount}}' \
  --data-urlencode 'aboutPostID={{aboutPostID}}' \
  --data-urlencode 'isWritingRequest={{isWritingRequest}}'

戻り値

JSON
See the shared response schema and synthetic example.
レスポンスフィールド
フィールド型必須説明
$appsv2_set_update_Response はい
$.oneOf[0] はい
$.oneOf[0].allOf[0]object はい
$.oneOf[0].allOf[0].RequestUserAliasstring はい
$.oneOf[0].allOf[0].RequestPathstring | null はい
$.oneOf[0].allOf[0].RequestStatus = "Succeeded" はい
$.oneOf[0].allOf[0].ResponseCodeinteger はい
$.oneOf[0].allOf[0].ResponseMessageAPIResponseMessage はい
$.oneOf[0].allOf[0].ResponseMessage.oneOf[0]string | number | boolean | null はい
$.oneOf[0].allOf[0].ResponseMessage.oneOf[1]array はい
$.oneOf[0].allOf[0].ResponseMessage.oneOf[1][]APIResponseMessage いいえ
$.oneOf[0].allOf[0].ResponseMessage.oneOf[2]object はい
$.oneOf[0].allOf[0].ResponseMessage.oneOf[2].*APIResponseMessage いいえ
$.oneOf[0].allOf[0].RequestImpersonatedByUserAliasstring いいえ
$.oneOf[0].allOf[1]object はい
$.oneOf[0].allOf[1].Payloadobject はい
$.oneOf[0].allOf[1].Payload.app はい
$.oneOf[0].allOf[1].Payload.app.anyOf[0]object はい
$.oneOf[0].allOf[1].Payload.app.anyOf[0].idstring はい
$.oneOf[0].allOf[1].Payload.app.anyOf[0].slugstring はい
$.oneOf[0].allOf[1].Payload.app.anyOf[0].namestring はい
$.oneOf[0].allOf[1].Payload.app.anyOf[0].descriptionstring はい
$.oneOf[0].allOf[1].Payload.app.anyOf[0].iconstring はい
$.oneOf[0].allOf[1].Payload.app.anyOf[0].entryUrlstring はい
$.oneOf[0].allOf[1].Payload.app.anyOf[0].defaultPathstring はい
$.oneOf[0].allOf[1].Payload.app.anyOf[0].contentWidthstring はい
$.oneOf[0].allOf[1].Payload.app.anyOf[0].dbIDinteger はい
$.oneOf[0].allOf[1].Payload.app.anyOf[0].ownerUserIDinteger はい
$.oneOf[0].allOf[1].Payload.app.anyOf[0].aboutPostIDinteger はい
$.oneOf[0].allOf[1].Payload.app.anyOf[0].priceAmountinteger はい
$.oneOf[0].allOf[1].Payload.app.anyOf[0].menuarray はい
$.oneOf[0].allOf[1].Payload.app.anyOf[0].isUserCreated = true はい
$.oneOf[0].allOf[1].Payload.app.anyOf[0].requiredLogin = true はい
$.oneOf[0].allOf[1].Payload.app.anyOf[0].pricingTypestring ["Free","MonthlyUSD","YearlyUSD","MonthlyTraderpoints","YearlyTraderpoints"] はい
$.oneOf[0].allOf[1].Payload.app.anyOf[0].pricingobject はい
$.oneOf[0].allOf[1].Payload.app.anyOf[0].pricing.typestring ["Free","MonthlyUSD","YearlyUSD","MonthlyTraderpoints","YearlyTraderpoints"] はい
$.oneOf[0].allOf[1].Payload.app.anyOf[0].pricing.isPaidinteger [0,1] はい
$.oneOf[0].allOf[1].Payload.app.anyOf[0].pricing.periodstring ["free","monthly","yearly"] はい
$.oneOf[0].allOf[1].Payload.app.anyOf[0].pricing.paymentModestring ["free","usd","traderpoints"] はい
$.oneOf[0].allOf[1].Payload.app.anyOf[0].pricing.amountCentsinteger はい
$.oneOf[0].allOf[1].Payload.app.anyOf[0].pricing.traderpointsAmountinteger はい
$.oneOf[0].allOf[1].Payload.app.anyOf[0].pricing.labelstring はい
$.oneOf[0].allOf[1].Payload.app.anyOf[0].accessobject いいえ
$.oneOf[0].allOf[1].Payload.app.anyOf[0].access.canAccessinteger [0,1] はい
$.oneOf[0].allOf[1].Payload.app.anyOf[0].access.isOwnerinteger [0,1] はい
$.oneOf[0].allOf[1].Payload.app.anyOf[0].access.isFreeinteger [0,1] はい
$.oneOf[0].allOf[1].Payload.app.anyOf[0].access.hasActiveAccessinteger [0,1] はい
$.oneOf[0].allOf[1].Payload.app.anyOf[0].access.accessEndDatestring はい
$.oneOf[0].allOf[1].Payload.app.anyOf[0].selectedForPostinteger [0,1] いいえ
$.oneOf[0].allOf[1].Payload.app.anyOf[1]array はい
$.oneOf[1]object はい
$.oneOf[1].RequestUserAliasstring はい
$.oneOf[1].RequestPathstring | null はい
$.oneOf[1].RequestStatus = "Failed" はい
$.oneOf[1].ResponseCodeinteger はい
$.oneOf[1].ResponseMessageAPIResponseMessage はい
$.oneOf[1].ResponseMessage.oneOf[0]string | number | boolean | null はい
$.oneOf[1].ResponseMessage.oneOf[1]array はい
$.oneOf[1].ResponseMessage.oneOf[1][]APIResponseMessage いいえ
$.oneOf[1].ResponseMessage.oneOf[2]object はい
$.oneOf[1].ResponseMessage.oneOf[2].*APIResponseMessage いいえ
$.oneOf[1].RequestImpersonatedByUserAliasstring いいえ
レスポンス例
{
    "RequestStatus": "Succeeded",
    "ResponseCode": 100,
    "ResponseMessage": "Synthetic success example.",
    "RequestPath": "/v1/appsv2/set_update",
    "RequestUserAlias": "example-user",
    "Payload": {
        "app": {
            "id": "synthetic-example",
            "slug": "synthetic-example",
            "name": "synthetic-example",
            "description": "synthetic-example",
            "icon": "synthetic-example",
            "entryUrl": "synthetic-example",
            "defaultPath": "synthetic-example",
            "contentWidth": "synthetic-example",
            "dbID": 0,
            "ownerUserID": 0,
            "aboutPostID": 0,
            "priceAmount": 0,
            "menu": [],
            "isUserCreated": true,
            "requiredLogin": true,
            "pricingType": "Free",
            "pricing": {
                "type": "Free",
                "isPaid": 0,
                "period": "free",
                "paymentMode": "free",
                "amountCents": 0,
                "traderpointsAmount": 0,
                "label": "synthetic-example"
            }
        }
    }
}
機械可読のエンドポイントドキュメント